create procedure sistema.sp_guardarUsuario
@numId int,
@txtUsername varchar(150),
@txtNombres varchar(150),
@txtApellidos varchar(150),
@txtEmail nvarchar(300),
@txtContrasenia nvarchar(300),
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	exec sistema.sp_verificarDisponibilidad @numId,@txtUsername,@dbRespuesta = @dbRespuesta output;

	if @dbRespuesta = 'success'
		begin
			if @numId = 0 
				begin
					insert into sistema.datos_usuarios(username,nombres,apellidos,email,password) values(@txtUsername,@txtNombres,@txtApellidos,@txtEmail,@txtContrasenia);
					select @dbId = SCOPE_IDENTITY();
				end
			else
				begin
					set @dbId = @numId;
					update sistema.datos_usuarios set username = @txtUsername,nombres = @txtNombres,apellidos = @txtApellidos,email = @txtEmail,ultimaModificacion = GETDATE() where id = @dbId;
				end

			set @dbRespuesta = 'success';
		end
end